Zum Hauptinhalt springen
PATCH
/
media-bridge
/
2026-03
/
{appId}
/
schemas
/
{objectType}
Das Schema für einen Objekttyp aktualisieren
curl --request PATCH \
  --url https://api.hubapi.com/media-bridge/2026-03/{appId}/schemas/{objectType} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "clearDescription": true,
  "allowsSensitiveProperties": true,
  "description": "<string>",
  "labels": {
    "plural": "<string>",
    "singular": "<string>"
  },
  "primaryDisplayProperty": "<string>",
  "requiredProperties": [
    "<string>"
  ],
  "restorable": true,
  "searchableProperties": [
    "<string>"
  ],
  "secondaryDisplayProperties": [
    "<string>"
  ]
}
'
{
  "allowsSensitiveProperties": true,
  "archived": true,
  "fullyQualifiedName": "<string>",
  "id": "<string>",
  "labels": {
    "plural": "<string>",
    "singular": "<string>"
  },
  "name": "<string>",
  "objectTypeId": "<string>",
  "requiredProperties": [
    "<string>"
  ],
  "searchableProperties": [
    "<string>"
  ],
  "secondaryDisplayProperties": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "portalId": 123,
  "primaryDisplayProperty": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

appId
integer<int32>
erforderlich

Die appId für die Media-Bridge-App. In Ihrem Entwickler-Account können mehrere Apps vorhanden sein, die die Media Bridge verwenden.

objectType
string
erforderlich

Der Objekttyp, für den das Schema aktualisiert werden soll.

Body

application/json
clearDescription
boolean
erforderlich
allowsSensitiveProperties
boolean
description
string
labels
object
primaryDisplayProperty
string
requiredProperties
string[]
restorable
boolean
searchableProperties
string[]
secondaryDisplayProperties
string[]

Antwort

successful operation

allowsSensitiveProperties
boolean
erforderlich
archived
boolean
erforderlich
fullyQualifiedName
string
erforderlich
id
string
erforderlich
labels
object
erforderlich
name
string
erforderlich
objectTypeId
string
erforderlich
requiredProperties
string[]
erforderlich
searchableProperties
string[]
erforderlich
secondaryDisplayProperties
string[]
erforderlich
createdAt
string<date-time>
description
string
portalId
integer<int32>
primaryDisplayProperty
string
updatedAt
string<date-time>
Last modified on April 13, 2026